Package htsjdk.tribble

# Class TribbleException.CorruptedIndexFile

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.tribble.TribbleException
htsjdk.tribble.TribbleException.CorruptedIndexFile

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `TribbleException`

public static class TribbleException.CorruptedIndexFile extends TribbleException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class htsjdk.tribble.TribbleException

`TribbleException.CorruptedIndexFile, TribbleException.FeatureFileDoesntExist, TribbleException.InternalCodecException, TribbleException.InvalidDecodeLine, TribbleException.InvalidHeader, TribbleException.MalformedFeatureFile, TribbleException.TabixReaderFailure, TribbleException.UnableToCreateCorrectIndexType, TribbleException.UnableToReadIndexFile`

## Constructor Summary

Constructors
Constructor
Description
`CorruptedIndexFile(String message, String f, Exception e)`

## Method Summary

### Methods inherited from class htsjdk.tribble.TribbleException

`getMessage, setSource`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CorruptedIndexFile

public CorruptedIndexFile(String message, String f, Exception e)